# gp_findorf

## GP

## 2000

## NAME

gp_findorf - print ORFs contained in a sequence

## SYNOPSIS

gp_findorf [-m value] [-M value] [-o option] [-c file] [-p type] [-q] [-v] [-d] [-h] [inputfile] [outputfile]

## OPTIONS

-m value
  set the minimal considered ORF length to value bp.

-M value
  set the maximal considered ORF length to value bp.

-o
  specify output type:

-o s[equences]
  print the protein sequences of the ORFs.

-o p[ositions]
  print the nucleotide positions of the ORFs in the sequence(s).

-p
  print the codon table and exit

-c code_file
  load codon table modifications from file code_file

-v
  Prints the version information.

-d
  Prints lots of debugging information.

-h
  Shows usage information.

inputfile
  file to proces; if not given, will use standard input

outputfile
  file to write the data to; if not given, will use standard output

## DESCRIPTION

gp_findorf prints out all ORF it is able to retrieve from the provided sequence(s) in all six reading frames. gp_findorf always prints the longest ORF possible. ORF is defined as a nucleotide sequence starting with a start codon and ending with a stop codon; the sequences cannot be degenerated (obviously), but have to be strict DNA or RNA sequences.

See also gp_seq2prot(1) for additional details.

## SEE ALSO

Genpak(1) gp_acc(1) gp_adjust(1) gp_cdndev(1) gp_cusage(1) gp_digest(1) gp_dimer(1) gp_gc(1) gp_getseq(1) gp_map(1) gp_matrix(1) gp_mkmtx(1) gp_pattern(1) gp_primer(1) gp_qs(1) gp_randseq(1) gp_seq2prot(1) gp_slen(1) gp_tm(1) gp_trimer(1)

## DIAGNOSTICS

All Genpak programs complain in situations you would also complain, like when they cannot find a sequence you gave them or the sequence is not valid.

The Genpak programs do not write over existing files. I have found this feature very useful :-)

## BUGS

I'm sure there are plenty left, so please mail me if you find them. I tried to clean up every bug I could find.

## AUTHOR

January Weiner III <january@bioinformatics.org>